Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/haxe: new aport

From: Jon Ong <jonongjs_at_rottenmage.com>
Date: Sun, 26 Jun 2016 18:37:48 +0800

http://haxe.org/
Cross-platform toolkit and programming language
---
 testing/haxe/APKBUILD | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++
 testing/haxe/haxe.sh  |  1 +
 2 files changed, 54 insertions(+)
 create mode 100644 testing/haxe/APKBUILD
 create mode 100644 testing/haxe/haxe.sh
diff --git a/testing/haxe/APKBUILD b/testing/haxe/APKBUILD
new file mode 100644
index 0000000..31f42f4
--- /dev/null
+++ b/testing/haxe/APKBUILD
_at_@ -0,0 +1,53 @@
+# Contributor: Jon Ong <jonongjs_at_rottenmage.com>
+# Maintainer:
+pkgname=haxe
+pkgver=3.3.0
+versuffix=-rc1
+pkgrel=0
+pkgdesc="Cross-platform toolkit and programming language"
+url="http://haxe.org"
+arch="all"
+license="GPL MIT LGPL" # http://haxe.org/foundation/open-source.html
+depends="neko>=2.1.0 zlib"
+makedepends="camlp4 ocaml>=4.00.0 neko>=2.1.0 zlib-dev"
+options="!strip !makeflags"
+install=""
+subpackages="$pkgname-doc"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/HaxeFoundation/haxe/archive/${pkgver}${versuffix}.tar.gz
+	haxelib.tar.gz::https://github.com/HaxeFoundation/haxelib/archive/3.3.0.tar.gz
+	https://github.com/HaxeFoundation/ocamllibs/archive/fa103c7d734f27afc5d8197144eb7ab9338f9a76.tar.gz
+	haxe.sh
+	"
+
+_builddir="$srcdir/$pkgname-$pkgver$versuffix"
+build() {
+	cd "$_builddir"
+
+	rmdir libs extra/haxelib_src || return 1
+	mv "$srcdir"/haxelib-* extra/haxelib_src || return 1
+	mv "$srcdir"/ocamllibs-* libs || return 1
+
+	make -j1 || return 1
+	make -j1 tools || return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -d "$pkgdir"/usr/bin/ "$pkgdir"/usr/share/haxe/
+	install -m 755 haxe haxelib "$pkgdir"/usr/bin/
+	cp -rf std "$pkgdir"/usr/share/$pkgname/
+	install -Dm 644 extra/LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+	install -Dm 644 "$srcdir/haxe.sh" "$pkgdir/etc/profile.d/haxe.sh"
+}
+md5sums="f87f1c66dca0790078c38cd65db7c922  haxe-3.3.0.tar.gz
+b95523bdebe94d8485a0e23124f7befc  haxelib.tar.gz
+245eea75aefbba295c30334d226c6c62  fa103c7d734f27afc5d8197144eb7ab9338f9a76.tar.gz
+977476c8fc1dfc0acbb05bd22f9136b0  haxe.sh"
+sha256sums="3c5abdecae2bea5942cef1845ca5e71845ec29d535142c617d000c531722e165  haxe-3.3.0.tar.gz
+f0942745ea150d81a41dc49d1b9c7ddf397391af0c9bf7209fb5a9ef20f6101c  haxelib.tar.gz
+6426e537addc8ba88dba47acbcdd010a47557b62da1e3d32cb251d559b9fc73f  fa103c7d734f27afc5d8197144eb7ab9338f9a76.tar.gz
+da08272cf61872f3401ad8b9f0bf94a4b2bfbaeb7b65644ee822f4ac8aaaed10  haxe.sh"
+sha512sums="53a8ea15393fcc203d90a1d26dd3d8e838b4653b27b075455f1f79e93cd34ce33a22b9def495a2e01afe851f0ab5cb702b63cd6d48addd4d1bd4f35908e8bb1b  haxe-3.3.0.tar.gz
+04f4b4cd3c82750c79cdb54b1874ce4624791c4ef0c3e79fe929c39375e2aa70c244fa38cc0fd46b65fdbf0dbc711774618d28de1f66220ef6b56bc3b74021bf  haxelib.tar.gz
+3430849201a8c875d64693af7f52b05ce4f701305d2833f0ff96494e875858394c5ec5ed9f911058df63a83454386c9edbe1221114435f4b0a1d2beb0f43b72d  fa103c7d734f27afc5d8197144eb7ab9338f9a76.tar.gz
+c756571769bcdb0d7040b44b3d486e445c56a01a8d23d26f668be19b8d147e9f324166f004872d04e912f329e45ad821672a0a365df4ba27fb1dc22bb34130a3  haxe.sh"
diff --git a/testing/haxe/haxe.sh b/testing/haxe/haxe.sh
new file mode 100644
index 0000000..0cc62ca
--- /dev/null
+++ b/testing/haxe/haxe.sh
_at_@ -0,0 +1 @@
+export HAXE_STD_PATH=/usr/share/haxe/std
-- 
2.8.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 26 2016 - 18:37:48 GMT